Page MenuHomePhabricator

Show publishing options dialog when publishing if target title exists in user space
Closed, ResolvedPublic

Description

Timebox: EOD 10 December 2014

When a user tries to publish a translation and the title for that translation is the same as a translation which has already been published to their user space, show a dialog with a message and the following options: 1) 'Keep both versions,' and 2) 'Publish anyway.' There should also be a 'Close' dialog control that cancels publishing and allows the user to edit the translation title. If the user selects 'Keep both versions,' then the title of published translation should include a version number appended at the end — e. g.: 'Title (1).' If the user selects 'Publish anyway,' then the already-published translation will be overwritten.

Event Timeline

Jsahleen claimed this task.
Jsahleen raised the priority of this task from to High.
Jsahleen updated the task description. (Show Details)
Jsahleen changed Security from none to None.
Jsahleen added subscribers: santhosh, Jsahleen.

Change 177597 had a related patch set uploaded (by Jsahleen):
Publishing: Add publishing options dialog

https://gerrit.wikimedia.org/r/177597

Patch-For-Review

Arrbee updated the task description. (Show Details)Dec 10 2014, 2:03 PM
Arrbee edited projects, added LE-Sprint-80; removed LE-Sprint-79.
Arrbee moved this task from Sprint 79 to Sprint 80 on the ContentTranslation-Release3 board.

Since Santhosh is out next week, I will try to refactor the patch along the lines he suggested instead of waiting for him to do it as previously planned.

Patch has been refactored along the lines suggested by Santhosh. I just needs a quick review and merge. Styling may need some adjustment by Pau.

Change 177597 merged by jenkins-bot:
Publishing: Add publishing options dialog

https://gerrit.wikimedia.org/r/177597

Jsahleen closed this task as Resolved.Dec 22 2014, 2:04 PM
Jsahleen moved this task from In Review to Done on the LE-Sprint-80 board.
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 9:35 PM
RandomDSdevel awarded a token.